const { join } = require('path');

// all CI systems have this env var set
const isCi = !!process.env.CI;

module.exports = {
  files: ['tests/**/*.test.*', 'src/**/*.test.*', '!dist', '!node_modules'],
  extensions: ['ts', 'cjs', 'mjs', 'js'],
  // 'dotenv/config' here laods .env files if found within project
  require: [join(__dirname, './prep.js'), require.resolve('dotenv/config')],
  failWithoutAssertions: true,
  timeout: '30s',
  // can result in timeout errors using some task runners, like turborepo
  workerThreads: !isCi,
};
