"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testAvaCreator = void 0;
const creator_utils_1 = require("@knapsack/creator-utils");
const { pkg } = (0, creator_utils_1.findUpPkgJson)(__dirname);
exports.testAvaCreator = (0, creator_utils_1.createCreator)({
    id: 'test-ava',
    getQuestions: async () => ({}),
    getTasks: async ({ answers }) => {
        const { pkg: { name, scripts }, pkgPath, } = (0, creator_utils_1.findUpPkgJson)(process.cwd());
        const baseName = (0, creator_utils_1.removeNpmScope)(name);
        return [
            {
                title: 'Write files',
                task: async () => creator_utils_1.tasks.writeFolderOfFiles({
                    handlePriorFile: 'throwError',
                    files: {
                        'ava.config.cjs': [
                            `const config = require('@knapsack/test-ava');`,
                            '',
                            `module.exports = config;`,
                        ],
                        src: {
                            [`${baseName}.test.ts`]: [
                                'import test from "ava";',
                                '',
                                `test('A test', (t) => {
                    t.assert(true === true);
                  });`,
                            ],
                        },
                    },
                }),
            },
            {
                title: 'Update package.json',
                task: async () => creator_utils_1.tasks.updatePkgJson({
                    dir: pkgPath,
                    pkg: {
                        scripts: {
                            [scripts.test ? 'test:ava' : 'test']: 'ava',
                        },
                        devDependencies: {
                            [pkg.name]: pkg.version,
                            ava: pkg.dependencies.ava || 'latest',
                        },
                    },
                }),
            },
        ];
    },
});
//# sourceMappingURL=test-ava-creator.js.map